aiengine: XAieGbl_RegTileBdAdd Struct Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XAieGbl_RegTileBdAdd Struct Reference

This typedef contains the attributes for Tile DMA BD address word register. More...

## Data Fields
XAieGbl_RegFldAttr | LkId
| Lock ID bit field attributes. More...
XAieGbl_RegFldAttr | RelEn
| Lock release enable bit field attributes. More...
XAieGbl_RegFldAttr | RelVal
| Lock release value bit field attributes. More...
XAieGbl_RegFldAttr | RelValEn
| Lock release value enable bit field attributes. More...
XAieGbl_RegFldAttr | AcqEn
| Lock acquire enable bit field attributes. More...
XAieGbl_RegFldAttr | AcqVal
| Lock acquire value bit field attributes. More...
XAieGbl_RegFldAttr | AcqValEn
| Lock acquire value enable bit field attributes. More...
XAieGbl_RegFldAttr | Base
| Base address bit field attributes. More...

## Detailed Description

This typedef contains the attributes for Tile DMA BD address word register.

## Field Documentation

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::AcqEn

Lock acquire enable bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::AcqVal

Lock acquire value bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::AcqValEn

Lock acquire value enable bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::Base

Base address bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::LkId

Lock ID bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::RelEn

Lock release enable bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::RelVal

Lock release value bit field attributes.

Referenced by XAieDma_TileBdWrite().

XAieGbl_RegFldAttr XAieGbl_RegTileBdAdd::RelValEn

Lock release value enable bit field attributes.

Referenced by XAieDma_TileBdWrite().